Bug 1460522 - [abrt] mock: rmtree(): util.py:160:rmtree:OSError: [Errno 16] Device or resource busy: '/var/lib/mock/fedora-rawhide-x86_64/root/var/cache/dnf'
[abrt] mock: rmtree(): util.py:160:rmtree:OSError: [Errno 16] Device or resou...
Status: NEW
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ce3a83a2b18c88a64ac5b5c01d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-11 16:13 EDT by Juan Orti
Modified: 2017-12-11 10:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.08 KB, text/plain)
2017-06-11 16:13 EDT, Juan Orti
no flags Details
File: cgroup (355 bytes, text/plain)
2017-06-11 16:13 EDT, Juan Orti
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-06-11 16:13 EDT, Juan Orti
no flags Details
File: environ (210 bytes, text/plain)
2017-06-11 16:13 EDT, Juan Orti
no flags Details
File: mountinfo (5.50 KB, text/plain)
2017-06-11 16:13 EDT, Juan Orti
no flags Details
File: namespaces (94 bytes, text/plain)
2017-06-11 16:14 EDT, Juan Orti
no flags Details
File: open_fds (633 bytes, text/plain)
2017-06-11 16:14 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2017-06-11 16:13:42 EDT
Version-Release number of selected component:
mock-1.4.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -tt /usr/libexec/mock/mock -r fedora-rawhide-x86_64 --resultdir /home/juan/Fedora/heimdall/results_heimdall/1.4.2/1.fc27 --rebuild /home/juan/Fedora/heimdall/heimdall-1.4.2-1.fc27.src.rpm
crash_function: rmtree
exception_type: OSError
executable:     /usr/libexec/mock/mock
kernel:         4.11.3-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
#1 rmtree in /usr/lib/python3.6/site-packages/mockbuild/util.py:160
#2 trace in /usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py:96
#3 rmtree in /usr/lib/python3.6/site-packages/mockbuild/util.py:151
#4 trace in /usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py:96
#5 rmtree in /usr/lib/python3.6/site-packages/mockbuild/util.py:151
#6 trace in /usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py:96
#7 rmtree in /usr/lib/python3.6/site-packages/mockbuild/util.py:151
#8 trace in /usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py:96
#9 rmtree in /usr/lib/python3.6/site-packages/mockbuild/util.py:151
#10 trace in /usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py:96
Comment 1 Juan Orti 2017-06-11 16:13:51 EDT
Created attachment 1286861 [details]
File: backtrace
Comment 2 Juan Orti 2017-06-11 16:13:53 EDT
Created attachment 1286862 [details]
File: cgroup
Comment 3 Juan Orti 2017-06-11 16:13:55 EDT
Created attachment 1286863 [details]
File: cpuinfo
Comment 4 Juan Orti 2017-06-11 16:13:56 EDT
Created attachment 1286864 [details]
File: environ
Comment 5 Juan Orti 2017-06-11 16:13:58 EDT
Created attachment 1286865 [details]
File: mountinfo
Comment 6 Juan Orti 2017-06-11 16:14:00 EDT
Created attachment 1286866 [details]
File: namespaces
Comment 7 Juan Orti 2017-06-11 16:14:02 EDT
Created attachment 1286867 [details]
File: open_fds
Comment 8 Martin 2017-07-14 10:14:56 EDT
plasma-discover-5.10.2-1.fc26.x86_64.rpm  not crashingon on exit,but
when install some apps broke appstream cache,only when russian-fedora-repo-nonfree/free enabled(appstreamcli refresh fix this).
Comment 9 Martin 2017-07-14 10:16:47 EDT
sorry other bug
Comment 10 Richard Kellner 2017-09-15 15:50:22 EDT
It seems I have just hit this bug as well, in Fedora 26. 

I have tried to build an rpm in mock from source rpm, and it has crashed. Unfortunately, I haven't seen the exact mock error, but I have found in journactl:

Sep 15 21:34:36 xps python3[7224]: detected unhandled Python exception in '/usr/libexec/mock/mock'

When I try to re-run the build again it ends up with an error:

INFO: mock.py version 1.4.3 starting (python version = 3.6.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
INFO: Start(SRPMS/python-ludolph-weather-1.0-1.fc26.src.rpm)  Config(fedora-26-x86_64)
Start: clean chroot
ERROR: Exception(SRPMS/python-ludolph-weather-1.0-1.fc26.src.rpm) Config(fedora-26-x86_64) 0 minutes 2 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-26-x86_64/result
Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 933, in <module>
    main()
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 736, in main
    run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 820, in run_command
    do_rebuild(config_opts, commands, buildroot, args)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 527, in do_rebuild
    post=post_build, clean=clean)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 470, in rebuild_generic
    commands.clean()
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/backend.py", line 78, in clean
    self.buildroot.delete()
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/buildroot.py", line 609, in delete
    util.rmtree(self.basedir, selinux=self.selinux)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 151, in rmtree
    rmtree(fullname, selinux=selinux, exclude=exclude)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 151, in rmtree
    rmtree(fullname, selinux=selinux, exclude=exclude)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 151, in rmtree
    rmtree(fullname, selinux=selinux, exclude=exclude)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 151, in rmtree
    rmtree(fullname, selinux=selinux, exclude=exclude)
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 160, in rmtree
    os.rmdir(path)
OSError: [Errno 16] Device or resource busy: '/var/lib/mock/fedora-26-x86_64/root/var/cache/dnf'

Note You need to log in before you can comment on or make changes to this bug.